OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-beta1

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - e -

- EconomyMonthlyLoop() : IndustryBuildData
- EditBoxGainedFocus() : VideoDriver, VideoDriver_SDL_Base
- EditBoxLostFocus() : VideoDriver, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- EffectiveSupply() : AsymmetricScaler, SymmetricScaler
- EffectVehicle() : EffectVehicle
- Elapsed() : BaseTimer< TTimerType >, IntervalTimer< TTimerType >, TimeoutTimer< TTimerType >, TimerManager< TTimerType >
- EliminateCycle() : MCF1stPass
- EliminateCycles() : MCF1stPass
- Emergency() : Gamelog
- EnableWidget() : Window
- Encode() : Blitter_32bppOptimized, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppOptimized, Blitter_8bppSimple, Blitter_Null, OpenGLBackend, SpriteEncoder
- Encrypt() : NetworkEncryptionHandler, X25519EncryptionHandler
- End() : CargoDataEntry, CBinaryHeapT< T >, ClientNetworkContentSocketHandler
- end() : OrthogonalTileArea
- EndResolve() : NewGRFProfiler
- EndStruct() : DumpTarget
- EnsureStoryPageElementLayout() : StoryBookWindow
- EnsureValidSecretKeyAndUpdatePublicKey() : NetworkAuthenticationClientHandler
- Enter() : RoadStop, RoadStop::Entry
- Entry() : RoadStop::Entry
- equal_range() : MultiMap< Tkey, Tvalue, Tcompare >
- Equals() : Order
- erase() : MultiMap< Tkey, Tvalue, Tcompare >
- EraseFlows() : LinkGraphJob
- ErrorMessageData() : ErrorMessageData
- ErrorPrintFunc() : Squirrel
- EstimateDestinations() : StationViewWindow
- EventEnterMainMenu() : SocialIntegration
- EventEnterMultiplayer() : SocialIntegration
- EventEnterScenarioEditor() : SocialIntegration
- EventEnterSingleplayer() : SocialIntegration
- EventJoiningMultiplayer() : SocialIntegration
- Exchange() : X25519DerivedKeys
- Expand() : OrthogonalTileArea, Rect
- Extension() : FiosNumberedSaveName
- ExternalSearchDisclaimerCallback() : NetworkContentListWindow
- ExtractCommandCost() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >